using Godot;
using System;

public class Clock : Node
{
    [Signal]
    delegate void OnTick(int ticks);
    
    private int _ticks = 0;

    public override void _Input(InputEvent @event)
    {
        base._Input(@event);

        if (@event is InputEventKey keyEvent && keyEvent.Pressed)
        {
            switch ((KeyList)keyEvent.Scancode)
            {
                case KeyList.Space:
                    Tick();
                    break;
            }
        }
    }
    
    private void Tick()
    {
        _ticks++;
        EmitSignal(nameof(OnTick), _ticks);
    }
}
